# boost::numeric::ublas::matrix_unary1< E, F > Class Template Reference

Inherits matrix_expression< matrix_unary1< E, F > >.

List of all members.

## Classes
class | const_iterator1
class | const_iterator2
## Public Types
typedef E::const_closure_type | expression_closure_type
typedef E::size_type | size_type
typedef E::difference_type | difference_type
typedef F::result_type | value_type
typedef value_type | const_reference
typedef const_reference | reference
typedef const self_type | const_closure_type
typedef const_closure_type | closure_type
typedef E::orientation_category | orientation_category
typedef unknown_storage_tag | storage_category
typedef const_iterator1 | iterator1
typedef const_iterator2 | iterator2
typedef reverse_iterator_base1 < const_iterator1 > | const_reverse_iterator1
typedef reverse_iterator_base2 < const_iterator2 > | const_reverse_iterator2
## Public Member Functions
BOOST_UBLAS_INLINE | matrix_unary1 (const expression_type &e)
BOOST_UBLAS_INLINE size_type | size1 () const
BOOST_UBLAS_INLINE size_type | size2 () const
BOOST_UBLAS_INLINE const expression_closure_type & | expression () const
BOOST_UBLAS_INLINE const_reference | operator() (size_type i, size_type j) const
BOOST_UBLAS_INLINE bool | same_closure (const matrix_unary1 &mu1) const
BOOST_UBLAS_INLINE const_iterator1 | find1 (int rank, size_type i, size_type j) const
BOOST_UBLAS_INLINE const_iterator2 | find2 (int rank, size_type i, size_type j) const
BOOST_UBLAS_INLINE const_iterator1 | begin1 () const
BOOST_UBLAS_INLINE const_iterator1 | end1 () const
BOOST_UBLAS_INLINE const_iterator2 | begin2 () const
BOOST_UBLAS_INLINE const_iterator2 | end2 () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rbegin1 () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rend1 () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rbegin2 () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rend2 () const

### template<class E, class F>
class boost::numeric::ublas::matrix_unary1< E, F >